unit Test;
{
Try deleting all the edit controls on this form, then re-generating them
by invoking the "Add Edit Controls" dialog by double-clicking on EditManager.
}
interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, DB, DBTables, Menus, Buttons, EditMan, ExtCtrls, DsgnIntf;

type
  TTestForm = class(TForm)
    MainMenu1: TMainMenu;
    ItemsTable: TTable;
    ItemsSource: TDataSource;
    Panel1: TPanel;
    PopupMenu1: TPopupMenu;
    Panel2: TPanel;
    File1: TMenuItem;
    Help1: TMenuItem;
    EditManager: TEditManager;
    GroupBox1: TGroupBox;
    ActiveCheck: TCheckBox;
    StateLabel: TLabel;
    StateEdit: TEdit;
    MenuItem1: TMenuItem;
    MenuItem2: TMenuItem;
    MenuItem3: TMenuItem;
    MenuItem4: TMenuItem;
    MenuItem5: TMenuItem;
    MenuItem6: TMenuItem;
    MenuItem7: TMenuItem;
    MenuItem8: TMenuItem;
    MenuItem9: TMenuItem;
    MenuItem10: TMenuItem;
    MenuItem11: TMenuItem;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    SpeedButton5: TSpeedButton;
    procedure ActiveCheckClick(Sender: TObject);
    procedure EditClick(Sender: TObject);
    procedure ItemsSourceStateChange(Sender: TObject);
  private
  public
  end;

var
  TestForm: TTestForm;

implementation

uses AddCtrls;

{$R *.DFM}

type
  TDataStates = array[dsInactive..dsInsert] of string;

const
  DataStates: TDataStates = ('dsInactive', 'dsBrowse', 'dsEdit', 'dsInsert');

procedure TTestForm.ActiveCheckClick(Sender: TObject);
begin
  ItemsTable.Active := ActiveCheck.Checked;
end;

procedure TTestForm.ItemsSourceStateChange(Sender: TObject);
begin
  StateEdit.Text := DataStates[ItemsSource.State];
end;

procedure TTestForm.EditClick(Sender: TObject);
begin
  EditManager.HandleEdit(Sender);
end;

end.
